Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8019 - nnrpd newnews command broken in inn-2.2.1 rpm
Summary: nnrpd newnews command broken in inn-2.2.1 rpm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: inn
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-27 22:55 UTC by criege
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-05-18 13:43:50 UTC


Attachments (Terms of Use)
Patch file for inn-2.2.1/nnrpd/newnews.c, fix missing ">" bug (deleted)
1999-12-27 23:19 UTC, criege
no flags Details | Diff

Description criege 1999-12-27 22:55:03 UTC
When submitting a "newnews" command to the 'nnrpd' server, the list of
returned message-id's is broken, i.e. the closing ">" sign is missing.
Transcript of a session:

$ telnet localhost nntp
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
200 localhost InterNetNews server INN 2.2.1 25-Aug-1999 ready
mode reader
200 localhost InterNetNews NNRP server INN 2.2.1 25-Aug-1999 ready (posting
ok).
newnews localhost.test 19991227 000000
230 New news follows
<848lur$3hh$1@localhost
<848mss$3lc$1@localhost
<848pvp$3rv$1@localhost
.
quit
205 .
Connection closed by foreign host.
$

Comment 1 criege 1999-12-27 23:19:59 UTC
Created attachment 46 [details]
Patch file for inn-2.2.1/nnrpd/newnews.c, fix missing ">" bug

Comment 2 criege 1999-12-27 23:24:59 UTC
The attached file 'newnews.patch' fixes this bug; it's also fixed in the 2.2.2
release of 'inn' by the ISC and marked accordingly in the ChangeLog for 2.2.2.


Note You need to log in before you can comment on or make changes to this bug.